[arch-commits] Commit in vim-workspace/repos (3 files)

Eric Bélanger eric at archlinux.org
Sun Apr 19 22:28:00 EDT 2009


    Date: Sunday, April 19, 2009 @ 22:27:59
  Author: eric
Revision: 36118

Merged revisions 356,36117 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/vim-workspace/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36117 | eric | 2009-04-19 22:27:40 -0400 (Sun, 19 Apr 2009) | 2 lines
  
  upgpkg: vim-workspace 1.0b1-2
      Added license, Added unzip makedepends
........

Modified:
  vim-workspace/repos/extra-x86_64/	(properties)
  vim-workspace/repos/extra-x86_64/PKGBUILD
  vim-workspace/repos/extra-x86_64/vimdoc.install

----------------+
 PKGBUILD       |   15 +++++++--------
 vimdoc.install |    5 -----
 2 files changed, 7 insertions(+), 13 deletions(-)


Property changes on: vim-workspace/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /vim-workspace/trunk:1
   + /vim-workspace/trunk:1-36117

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-20 02:27:40 UTC (rev 36117)
+++ extra-x86_64/PKGBUILD	2009-04-20 02:27:59 UTC (rev 36118)
@@ -4,11 +4,13 @@
 pkgname=vim-workspace
 pkgver=1.0b1
 _scriptid=4812
-pkgrel=1
+pkgrel=2
 pkgdesc="vim workspace manager plugin for managing groups of files "
 arch=(i686 x86_64)
 url="http://www.vim.org/scripts/script.php?script_id=1410"
-depends=(vim)
+license=('unknown')
+depends=('vim')
+makedepends=('unzip')
 groups=('vim-plugins')
 install=vimdoc.install
 source=(http://www.vim.org/scripts/download_script.php?src_id=$_scriptid)
@@ -16,13 +18,10 @@
 
 build()
 {
-  cd $startdir/src
+  cd $srcdir
   mv download_script.php?src_id=$_scriptid workspace_1b1.zip
   unzip -qqo workspace_1b1.zip
 
-  mkdir -p $startdir/pkg/usr/share/vim/doc
-  install -m644 doc/workspace.txt $startdir/pkg/usr/share/vim/doc
-
-  mkdir -p $startdir/pkg/usr/share/vim/plugin
-  install -m644 plugin/workspace.vim $startdir/pkg/usr/share/vim/plugin
+  install -D -m644 doc/workspace.txt $pkgdir/usr/share/vim/doc/workspace.txt || return 1
+  install -D -m644 plugin/workspace.vim $pkgdir/usr/share/vim/plugin/workspace.vim || return 1
 }

Modified: extra-x86_64/vimdoc.install
===================================================================
--- extra-x86_64/vimdoc.install	2009-04-20 02:27:40 UTC (rev 36117)
+++ extra-x86_64/vimdoc.install	2009-04-20 02:27:59 UTC (rev 36118)
@@ -12,8 +12,3 @@
 post_remove() {
   post_install
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list